<template>

    <v-row>
        <v-col v-for="pic of list" cols="12" md="4">
            <v-card>
                <v-img :src="pic.thumbnailLink" cover></v-img>
                <v-card-title>{{ pic.title }}</v-card-title>


                <v-card-subtitle class="pt-4" v-if="pic.createdAt">
                    {{ new Date(pic.createdAt).toLocaleString() }}
                </v-card-subtitle>
                <v-card-text>
                    <p>{{ pic.description }}</p>
                </v-card-text>
            </v-card>
        </v-col>

    </v-row>
</template>


<script setup lang="ts">
import type { Picture } from '@/entities';

defineProps<{
    list: Picture[]
}>()

</script>